package com.zjrs.ggfw.shbzk.bpo;

import org.dom4j.DocumentException;
import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.shbzk.dto.*;

public interface ShbzkBPO extends IBPO {

	//查询社会保障卡号码
	public AjaxResponse getShbzkNum(FwwdQueryDTO dto) throws DocumentException;
	
	//网上社保卡列表查询
	public AjaxResponse getShbzkList(ShbzkListQueryDTO dto);
	
	//网上社保卡查询
	public AjaxResponse getShbzk(ShbzkQueryDTO dto);
	
	//制卡进度查询
	public AjaxResponse getShbzkZkjd(ShbzkQueryDTO dto);
	
	//网上申请社保卡
	public AjaxResponse applyShbzk(ShbzkDTO dto);
	
	//网上补换社保卡
	public AjaxResponse changeShbzk(ShbzkDTO dto);
	
	//修改信息（社会保障号码、姓名、国家地区、证件类型、证件号码不允许修改，相片只允许在未导出制卡前修改）
	public AjaxResponse editShbzk(ShbzkEditDTO dto);
	
	//设置社保卡状态：网上临时挂失、正式挂失、解除挂失、注销
	public AjaxResponse setShbzk(String cz, ShbzkQueryDTO dto);
	
	//社保卡网上领卡启用
	public AjaxResponse startUseShbzkOnline(ShbzkQueryDTO dto);
	
	//社保卡领卡启用
	public AjaxResponse startUseShbzk(ShbzkQueryDTO dto);
	
	//撤销申请
	public AjaxResponse cancelApplication(ShbzkQueryDTO dto);
	
	//获取社会保障号
	public AjaxResponse getShbzh(ShbzhQueryDTO dto);
	
	//申请资格校验
	public AjaxResponse checkApplication(ShbzkQueryDTO dto);
	
	//获取认证照片
	public AjaxResponse getPhoto(PhotoQueryDTO dto);
	
	//服务网点查询
	public AjaxResponse getServiceBank(ServiceBankQueryDTO dto);
	
	//查询社保卡服务网点
	public AjaxResponse querySbkfwwd(FwwdQueryDTO dto);
	
	//社保卡全国鉴权
	public AjaxResponse checkShbzk(ShbzkQueryDTO dto);

	//查询卡状态
	public AjaxResponse queryKzt(ShbzkQueryDTO dto) throws DocumentException;
	//根据证件号码查询医保卡号
	public Object queryCardNO(String shbzh,String xm,String sscs) throws DocumentException;
}